function CstSphere(fid,CName,CComponent,CMaterial,CAxis,CCenterRadius,...
    CTopRadius,CBottomRadius,CCenterX,CCenterY,CCenterZ,CSegments)
global mws sphere;

% Funkce CstSphere(fid, CName, CComponent, CMaterial, CAxis, CCenterRadius,
% CTopRadius, CBottomRadius, CCenterX, CCenterY, CCenterZ, CSegments) slouží
% k vytvoření koule v programu CST. Nemá návratovou hodnotu.

% Parametry funkce:

% fid – soubor identifikující historii CST skriptu.
% CName – jméno eliptického válce.
% CComponent – jméno komponenty.
% CMaterial – materiál objektu.
% CAxis – osa otočení eliptického válce může být 'X','Y' nebo 'Z'.
% CCenterRadius – poloměr koule.
% CTopRadius – poloměr na vrcholu koule.
% CBottomRadius – poloměr na základně koule.
% CCenterX – umístění koule v ose X.
% CCenterY – umístění koule v ose Y.
% CCenterZ – umístění koule v ose Z.
% CSegments – určuje kolik bude mít stran, pro hodnotu 0-2 je koule rotační a pro hodnoty
% segmentu větší než 2 určuje tento parametr kolik bude mít stran.

% Příklad použití funkce:

% fid = fopen('pokus.m', 'wt');
% ...
% CstSphere(fid,'sphere1','component1','PEC','Z',1,0,0,2,1,3,0);



%Zapis do souboru temp
fprintf(fid, '%% Vytvoreni Sphere\n');
fprintf(fid, 'sphere = mws.invoke(''Sphere'');\n');
fprintf(fid, 'sphere.invoke(''Reset'');\n');
fprintf(fid, ['sphere.invoke(''Name'',''',CName,''');\n']);
fprintf(fid, ['sphere.invoke(''Component'',''',CComponent,''');\n']);
fprintf(fid, ['sphere.invoke(''Material'',''',CMaterial,''');\n']);
fprintf(fid, ['sphere.invoke(''Axis'',''',CAxis,''');\n']);
fprintf(fid, ['sphere.invoke(''CenterRadius''',',',num2str(CCenterRadius),');\n']);
fprintf(fid, ['sphere.invoke(''TopRadius''',',',num2str(CTopRadius),');\n']);
fprintf(fid, ['sphere.invoke(''BottomRadius''',',',num2str(CBottomRadius),');\n']);
fprintf(fid, ['sphere.invoke(''Center''',',',num2str(CCenterX),',',num2str(CCenterY),',',num2str(CCenterZ),');\n']);
fprintf(fid, ['sphere.invoke(''Segments''',',',num2str(CSegments),');\n']);
fprintf(fid, 'sphere.invoke(''Create'');\n');

%Prime vykonani funkce v programu CST
sphere = mws.invoke('Sphere');
sphere.invoke('Reset');
sphere.invoke('Name',CName);
sphere.invoke('Component',CComponent);
sphere.invoke('Material',CMaterial);
sphere.invoke('Axis',CAxis);
sphere.invoke('CenterRadius',CCenterRadius);
sphere.invoke('TopRadius',CTopRadius);
sphere.invoke('BottomRadius',CBottomRadius);
sphere.invoke('Center',CCenterX,CCenterY,CCenterZ);
sphere.invoke('Segments',CSegments);
sphere.invoke('Create');
end